% Speicher leeren
clf
clear
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Schriftart
set(0,'DefaultTextInterpreter','none')
set(0,'DefaultAxesTickLabelInterpreter','none') 
set(0,'DefaultLegendInterpreter','none')
set(0,'DefaultAxesFontName','Arial');
set(0,'DefaultTextFontName','Arial');
set(0,'DefaultLegendFontName','Arial');
set(0,'DefaultAxesFontSize', 12);
set(0,'DefaultTextFontSize', 12);  
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Erstellung Abbildung
f=figure(1);
set(f,'Units','centimeters','Position',[0,0,16,8]); % Größe des Plots [x0,y0,Länge,Breite];
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Dateneingabe
[num] = xlsread('Diagrammvorlage.xlsx','Balkendiagramm','B4:G103');
x = num(1:1:15,1);
y1 = num(1:1:15,2);
y2 = num(1:1:15,3);
y=[y1 y2];
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Diagramm
h=bar(y)
h(1).FaceColor = [0.87 0.87 0.87];
h(2).FaceColor = [0.50 0.50 0.50];
h(1).EdgeColor = [0.33 0.33 0.33];
h(2).EdgeColor = [0.33 0.33 0.33];
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Hintergrundteilung an/aus
set(gca, 'YGrid', 'on', 'XGrid', 'off')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Achsen-Bezeichnung 
ax=gca
xlabel('Prüfkörpernummer');
xlim([0 16]);
xticks(0:1:15);
ylabel('Tragfähigkeit [N/mm²]')
ylim([0 50])
yticks(0:10:50)
% ax.TickDir = 'out'
ax.XMinorTick = 'off'
ax.TickLength = [0.01 0.01];
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Datenpunktbeschriftung
% xtips1 = h(1).XEndPoints;
% ytips1 = h(1).YEndPoints;
% labels1 = string(h(1).YData);
% text(xtips1,ytips1,labels1,'HorizontalAlignment','center','FontSize',6)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Legende
label={'Serie A0';'Serie A1'}; 
leg = legend(label); 
set(leg, 'location', 'northeastoutside', 'orientation', 'vertical' );  
legend boxoff  
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Speichern
saveas(gcf,'Balkendiagramm1.png')
%saveas(gcf,'Balkendiagramm1.emf')
%saveas(gcf,'Balkendiagramm1.pdf')