% Speicher leeren
clear
clf
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Schriftart
set(0,'DefaultTextInterpreter','none')
set(0,'DefaultAxesTickLabelInterpreter','none') 
set(0,'DefaultLegendInterpreter','none')
set(0,'DefaultAxesFontName','Arial');
set(0,'DefaultTextFontName','Arial');
set(0,'DefaultLegendFontName','Arial');
set(0,'DefaultAxesFontSize', 12);
set(0,'DefaultTextFontSize', 12);  
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Erstellung Abbildung
f=figure(1);
set(f,'Units','centimeters','Position',[0,0,16,8]); % Größe des Plots [x0,y0,Länge,Breite];
% Automatische Dateneingabe
[num] = xlsread('Diagrammvorlage.xlsx','Kastendiagramm','B4:G103');
y1 = num(1:1:20,2);
y2 = num(1:1:20,3);
y3 = num(1:1:20,4);
y4 = num(1:1:20,5);
y5 = num(1:1:20,6);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Manuelle Dateneingabe
% y1=randi([20 40],[30,1]);                 % Random ganze Zahlen zwischen 20 und 40, 30x in einer Spalte
% y2=randi([20 40],[30,1]);
% y3=randi([30 50],[30,1]);
% y4=randi([30 50],[30,1]);
% y5=randi([40 48],[30,1]);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Diagramm
y=[y1 y2 y3 y4 y5]                      % Spalten zu einer Matrix. Pro Spaltenvektor wird ein Boxplot erstellt.
b=boxchart(y)
b.BoxWidth = 0.15;
b.JitterOutliers = 'on';
b.Notch = 'off';
b.BoxFaceColor = [0.69 0.69 0.69];
b.WhiskerLineColor = [0 0 0];
b.BoxFaceAlpha = 0.2;
b.WhiskerLineStyle = '-';
b.LineWidth = .6;
b.MarkerStyle = '_';
b.MarkerSize = 6;
b.MarkerColor = [0 0 0];
hold on;
plot(mean(y), 'x','MarkerEdgeColor',[0 0 0]);
hold 'off';
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Hintergrundteilung an/aus
set(gca, 'YGrid', 'on', 'XGrid', 'off')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Achsen-Bezeichnung 
ax=gca
xlabel('Prüfreihe')
xticklabels({'A1', 'A2', 'B1', 'B2', 'C'})
ylabel('Tragfähigkeit [N/mm²]')
ylim([0 60])
yticks(0:10:60)
box on;
% ax.TickDir = 'out'
% ax.XMinorTick = 'off'
% ax.YMinorTick = 'off'
ax.TickLength = [0.01 0.01];
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Speichern
saveas(gcf,'Kastendiagramm1.png')
%saveas(gcf,'Kastendiagramm1.emf')
%saveas(gcf,'Kastendiagramm1.pdf')