% Speicher leeren
clf
clear
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Schriftart
set(0,'DefaultTextInterpreter','none')
set(0,'DefaultAxesTickLabelInterpreter','none') 
set(0,'DefaultLegendInterpreter','none')
set(0,'DefaultAxesFontName','Arial');
set(0,'DefaultTextFontName','Arial');
set(0,'DefaultLegendFontName','Arial');
set(0,'DefaultAxesFontSize', 12);
set(0,'DefaultTextFontSize', 12);  
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Erstellung Abbildung
f=figure(1);
set(f,'Units','centimeters','Position',[0,0,16,8]); % Größe des Plots [x0,y0,Länge,Breite];
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Dateneingabe
[num] = xlsread('Diagrammvorlage.xlsx','Regression','B4:E64');
x = num(1:1:60,1);
y1 = num(1:1:20,2);
y2 = num(1:1:20,3);
y3 = num(1:1:20,4);
y=[y1; y2; y3];
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Diagramm
yCalc=2/3*x;                                                        % Regressionsformel
scatter(x,y,'o','MarkerEdgeColor',[0.20 0.20 0.20]); hold on;
plot(x,yCalc,'-','Color',[0 0 0]); hold off;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Hintergrundteilung an/aus
set(gca, 'YGrid', 'on', 'XGrid', 'on')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Achsen-Bezeichnung 
ax=gca;
xlabel('Trägerlänge [mm]');
xlim([0 70]);
xticks(0:10:70);
ylabel('Astgröße [mm]');
ylim([0 50]);
yticks(0:10:50);
box on;
% ax.TickDir = 'out'
ax.XMinorTick = 'on'
ax.YMinorTick = 'on'
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Legende
label={'Daten';'Regression'}; 
leg = legend(label); 
set(leg, 'location', 'northeastoutside', 'orientation', 'vertical' );  
legend boxoff 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Speichern
saveas(gcf,'Regression1.png')
%saveas(gcf,'Regression1.emf')
%saveas(gcf,'Regression1.pdf')